> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Chat Logs

> Render the supplied chat thread IDs into a CSV (Agent, User, Phone, Status, Created At, Last Activity, Platform, Replies, Cost, Score, Summary), upload it to S3, and return a public URL.



## OpenAPI

````yaml POST /agent/chat-logs/download/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /agent/chat-logs/download/:
    post:
      tags:
        - agent
      summary: Download Chat Logs (Selected)
      description: >-
        Render the supplied chat thread IDs into a CSV (Agent, User, Phone,
        Status, Created At, Last Activity, Platform, Replies, Cost, Score,
        Summary), upload it to S3, and return a public URL.
      operationId: agent_chat_logs_download_create
      parameters:
        - in: header
          name: X-User-Timezone
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChatLogDownloadRequestRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ChatLogDownloadRequestRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ChatLogDownloadRequestRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatLogDownloadResponse'
          description: CSV uploaded; URL returned.
      security:
        - jwtAuth: []
        - {}
components:
  schemas:
    ChatLogDownloadRequestRequest:
      type: object
      properties:
        chat_ids:
          type: array
          items:
            type: string
            format: uuid
          description: Chat thread IDs to include in the export.
      required:
        - chat_ids
    ChatLogDownloadResponse:
      type: object
      properties:
        url:
          type: string
          format: uri
          description: Pre-signed S3 URL to the generated CSV.
      required:
        - url
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````